Authorization: Bearer ********************{
"body": "محتوى محدث للمشاركة",
"attachments": [
"string"
],
"deleted-attachments": [
1,
2
]
}curl --location --request PUT 'https://api.msaaq.com/v1/admin/communities/1/topics/1/posts/1' \
--header 'X-Academy-ID: {{academy_id}}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"body": "محتوى محدث للمشاركة",
"attachments": [
"string"
],
"deleted-attachments": [
1,
2
]
}'{
"message": "تم الحفظ بنجاح",
"data": {
"id": 1,
"body": "هذا تعليق على الموضوع",
"status": "published",
"likes_count": 3,
"author": {
"id": 1,
"name": "أحمد محمد",
"avatar": "https://example.com/avatar.jpg"
},
"children": [
{}
],
"created_at": "2026-02-26 11:30:00",
"updated_at": "2026-02-26 11:30:00"
}
}